<?php

namespace Drupal\uw_cfg_common\Plugin\Layout;

use Drupal\Core\Form\FormStateInterface;

/**
 * A UW four column layout.
 */
class Uw4ColumnLayout extends UwColumnLayoutBase {

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {

    // Get the config for this layout.
    $configuration = $this->getConfiguration();

    // The options for the column widths.
    $options = [
      'even-split' => $this->t('Even split (25%, 25%, 25%, 25%)'),
      'larger-left' => $this->t('Larger left (50%, 16.67%, 16.67%, 16.67%)'),
      'larger-second' => $this->t('Larger second (16.67%, 50%, 16.67%, 16.67%)'),
      'larger-third' => $this->t('Larger third (16.67%, 16.67%, 50%, 16.67%)'),
      'larger-right' => $this->t('Larger right (16.67%, 16.67%, 16.67%, 50%)'),
      'legacy-23-27-27-23' => $this->t('Legacy (23%, 27%, 27%, 23%)'),
    ];

    // The form element for the column widths.
    $form['layout_settings']['column_class'] = [
      '#type' => 'select',
      '#title' => $this->t('Column widths'),
      '#default_value' => !empty($configuration['column_class']) ? $configuration['column_class'] : 'even-split',
      '#options' => $options,
    ];

    return $form;
  }

}
